package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/6 16:26
 **/
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BookGroupClassifyVO {


    @ApiModelProperty("分类标识")
    private Long classifyId;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("图书名称")
    private String bookName;

    @ApiModelProperty("群分类")
    private String classify;

    @ApiModelProperty("社群码标识")
    private String bookGroupId;

    @ApiModelProperty("群二维码名称")
    private String groupQrcodeName;

    @ApiModelProperty("群人数")
    private Integer userNumber;

    @ApiModelProperty("最近7天活跃分数")
    private Integer weekActiveNumber;

    @ApiModelProperty("专业标签ID")
    private Long proLabelId;

    @ApiModelProperty("深度标签ID")
    private Long depLabelId;

    @ApiModelProperty("目的标签ID")
    private Long purLabelId;

    @ApiModelProperty("专业标签名称")
    private String proLabelName;

    @ApiModelProperty("深度标签名称")
    private String depLabelName;

    @ApiModelProperty("目的标签名称")
    private String purLabelName;

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(String bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public Integer getWeekActiveNumber() {
        return weekActiveNumber;
    }

    public void setWeekActiveNumber(Integer weekActiveNumber) {
        this.weekActiveNumber = weekActiveNumber;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public Long getPurLabelId() {
        return purLabelId;
    }

    public void setPurLabelId(Long purLabelId) {
        this.purLabelId = purLabelId;
    }

    public String getProLabelName() {
        return proLabelName;
    }

    public void setProLabelName(String proLabelName) {
        this.proLabelName = proLabelName;
    }

    public String getDepLabelName() {
        return depLabelName;
    }

    public void setDepLabelName(String depLabelName) {
        this.depLabelName = depLabelName;
    }

    public String getPurLabelName() {
        return purLabelName;
    }

    public void setPurLabelName(String purLabelName) {
        this.purLabelName = purLabelName;
    }

    @Override
    public String toString() {
        return "BookGroupClassifyVO{" +
                "classifyId=" + classifyId +
                ", bookId=" + bookId +
                ", bookName='" + bookName + '\'' +
                ", classify='" + classify + '\'' +
                ", bookGroupId='" + bookGroupId + '\'' +
                ", groupQrcodeName='" + groupQrcodeName + '\'' +
                ", userNumber=" + userNumber +
                ", weekActiveNumber=" + weekActiveNumber +
                ", proLabelId=" + proLabelId +
                ", depLabelId=" + depLabelId +
                ", purLabelId=" + purLabelId +
                ", proLabelName='" + proLabelName + '\'' +
                ", depLabelName='" + depLabelName + '\'' +
                ", purLabelName='" + purLabelName + '\'' +
                '}';
    }
}
